Bug 1421348 - Not all screen resolutions presented using XOrg
Summary: Not all screen resolutions presented using XOrg
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-11 10:13 UTC by Russel Winder
Modified: 2018-11-30 17:46 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 17:46:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Russel Winder 2017-02-11 10:13:19 UTC
I am using a Lenovo X1 Carbon with Fedora Rawhide.

When I login using Wayland (the default) and I use the resolutions dialogue from the settings/displays dialogue I get all the resolutions I expect. Most important is the 1920x1080 one and the native one 2560x1440.

When I login using Xorg, the same dialogue does not present any of the 16:9 and 16:10 resolutions, only the 4:3 ones: the 16:9 and 16:10 resolutions are completely absent.

This has become a blocker for me personally as I have to use an application that works only on XOrg (not on Wayland, at least not yet) and I have to have the 1920x1080 resolution avaialable.

I am not sure what other data to provide to help with this, please do issue a "needinfo" request and I will provide what is requested.

Comment 1 Fedora End Of Life 2017-02-28 11:15:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Russel Winder 2017-06-24 04:40:27 UTC
This bug is still present in F27 Rawhide.

Comment 3 Jan Kurik 2017-08-15 08:08:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 4 Ben Cotton 2018-11-27 18:33:51 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 17:46:30 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.